#
# spec file for package rubygem-liquid-2_6
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-liquid-2_6
Version:        2.6.3
Release:        1.1
%define mod_name liquid
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -2_6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://www.liquidmarkup.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A secure, non-evaling end user template engine with aesthetic markup
License:        MIT
Group:          Development/Languages/Ruby

%description
A secure, non-evaling end user template engine with aesthetic markup.

%prep

%build

%install
%gem_install \
  --doc-files="History.md MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Jul 24 2015 coolo@suse.com
- updated to version 2.6.3
  see installed History.md
* Tue Feb 10 2015 coolo@suse.com
- updated to version 2.6.2, no changelog
- fix the packaging
* Tue Feb 10 2015 opensuse_buildservice@ojkastl.de
- changed spec name and package name to rubygem-liquid-2_6
* Fri Nov 21 2014 opensuse_buildservice@ojkastl.de
- adapted to new packaging scheme
* Mon Jan 20 2014 coolo@suse.com
- updated to version 2.6.1
  Security fix, cherry-picked from master (4e14a65):
  * Don't call to_sym when creating conditions for security reasons, see #273 [Bouke van der Bijl, bouk]
  * Prevent arbitrary method invocation on condition objects, see #274 [Dylan Thacker-Smith, dylanahsmith]
* Tue Nov 26 2013 coolo@suse.com
- updated to version 2.6.0
  * Bugfix for #106: fix example servlet [gnowoel]
  * Bugfix for #97: strip_html filter supports multi-line tags [Jo Liss, joliss]
  * Bugfix for #114: strip_html filter supports style tags [James Allardice, jamesallardice]
  * Bugfix for #117: 'now' support for date filter in Ruby 1.9 [Notre Dame Webgroup, ndwebgroup]
  * Bugfix for #166: truncate filter on UTF-8 strings with Ruby 1.8 [Florian Weingarten, fw42]
  * Bugfix for #204: 'raw' parsing bug [Florian Weingarten, fw42]
  * Bugfix for #150: 'for' parsing bug [Peter Schröder, phoet]
  * Bugfix for #126: Strip CRLF in strip_newline [Peter Schröder, phoet]
  * Bugfix for #174, "can't convert Fixnum into String" for "replace" [wǒ_is神仙, jsw0528]
  * Allow a Liquid::Drop to be passed into Template#render [Daniel Huckstep, darkhelmet]
  * Resource limits [Florian Weingarten, fw42]
  * Add reverse filter [Jay Strybis, unreal]
  * Add utf-8 support
  * Use array instead of Hash to keep the registered filters [Tasos Stathopoulos, astathopoulos]
  * Cache tokenized partial templates [Tom Burns, boourns]
  * Avoid warnings in Ruby 1.9.3 [Marcus Stollsteimer, stomar]
  * Better documentation for 'include' tag (closes #163) [Peter Schröder, phoet]
  * Use of BigDecimal on filters to have better precision (closes #155) [Arthur Nogueira Neves, arthurnn]
* Fri Nov 22 2013 coolo@suse.com
- updated to version 2.5.4
  * Fix "can't convert Fixnum into String" for "replace", see #173, [wǒ_is神仙, jsw0528]
* Thu Oct 10 2013 coolo@suse.com
- updated to version 2.5.3, yanked but still there
* Sat Sep  7 2013 coolo@suse.com
- updated to version 2.5.2
  * Add optional strict parsing and warn parsing, see #235 [Tristan Hume, trishume]
  * Add I18n syntax error translation, see #241 [Simon Hørup Eskildsen, Sirupsen]
  * Make sort filter work on enumerable drops, see #239 [Florian Weingarten, fw42]
  * Fix clashing method names in enumerable drops, see #238 [Florian Weingarten, fw42]
  * Make map filter work on enumerable drops, see #233 [Florian Weingarten, fw42]
  * Fix security issue with map filter, see #230, #232, #234, #237 [Florian Weingarten, fw42]
  * Improved whitespace stripping for blank blocks, related to #216 [Florian Weingarten, fw42]
  * Bugfix for #106: fix example servlet [gnowoel]
  * Bugfix for #97: strip_html filter supports multi-line tags [Jo Liss, joliss]
  * Bugfix for #114: strip_html filter supports style tags [James Allardice, jamesallardice]
  * Bugfix for #117: 'now' support for date filter in Ruby 1.9 [Notre Dame Webgroup, ndwebgroup]
  * Bugfix for #166: truncate filter on UTF-8 strings with Ruby 1.8 [Florian Weingarten, fw42]
  * Bugfix for #204: 'raw' parsing bug [Florian Weingarten, fw42]
  * Bugfix for #150: 'for' parsing bug [Peter Schröder, phoet]
  * Bugfix for #126: Strip CRLF in strip_newline [Peter Schröder, phoet]
  * Allow a Liquid::Drop to be passed into Template#render [Daniel Huckstep, darkhelmet]
  * Resource limits [Florian Weingarten, fw42]
  * Add reverse filter [Jay Strybis, unreal]
  * Add utf-8 support
  * Use array instead of Hash to keep the registered filters [Tasos Stathopoulos, astathopoulos]
  * Cache tokenized partial templates [Tom Burns, boourns]
  * Avoid warnings in Ruby 1.9.3 [Marcus Stollsteimer, stomar]
  * Better documentation for 'include' tag (closes #163) [Peter Schröder, phoet]
  * Use of BigDecimal on filters to have better precision (closes #155) [Arthur Nogueira Neves, arthurnn]
* Tue Jul 30 2013 coolo@suse.com
- updated to version 2.5.1
* Sun May 26 2013 coolo@suse.com
- updated to version 2.5.0
  * Prevent Object methods from being called on drops
  * Avoid symbol injection from liquid
  * Added break and continue statements
  * Fix filter parser for args without space separators
  * Add support for filter keyword arguments
* Wed Aug  8 2012 coolo@suse.com
- updated to version 2.4.1
  * Performance improvements
  * Allow filters in `assign`
  * Add `modulo` filter
  * Ruby 1.8, 1.9, and Rubinius compatibility fixes
  * Add support for `quoted['references']` in `tablerow`
  * Add support for Enumerable to `tablerow`
  * `strip_html` filter removes html comments
* Thu Jan  5 2012 suse@ammler.ch
- update to 2.3.0
  * Several speed/memory improvements
  * Numerous bug fixes
  * Added support for MRI 1.9, Rubinius, and JRuby
  * Added support for integer drop parameters
  * Added epoch support to `date` filter
  * New `raw` tag that suppresses parsing
  * Added `else` option to `for` tag
  * New `increment` tag
  * New `split` filter
* Sat Sep 17 2011 mrueckert@suse.de
- split out doc package
- re-did spec with new gem2rpm
* Thu Oct  7 2010 prusnak@opensuse.org
- updated to 2.2.2
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Thu Jan  7 2010 prusnak@suse.cz
- created package
